dav1d: Dav1dSequenceHeader Struct Reference

dav1d 1.2.1 dav1d is an AV1 decoder

Loading...
Searching...
No Matches
Data Structures | Data Fields
Dav1dSequenceHeader Struct Reference

`#include <headers.h>`

Collaboration diagram for Dav1dSequenceHeader:
[legend]

## Data Structures
struct | Dav1dSequenceHeaderOperatingParameterInfo
struct | Dav1dSequenceHeaderOperatingPoint

## Data Fields
int | profile
int | max_width
int | max_height
enum Dav1dPixelLayout | layout
| format of the picture
enum Dav1dColorPrimaries | pri
| color primaries (av1)
enum Dav1dTransferCharacteristics | trc
| transfer characteristics (av1)
enum Dav1dMatrixCoefficients | mtrx
| matrix coefficients (av1)
enum Dav1dChromaSamplePosition | chr
| chroma sample position (av1)
int | hbd
int | color_range
int | num_operating_points
struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingPoint | operating_points [DAV1D_MAX_OPERATING_POINTS]
int | still_picture
int | reduced_still_picture_header
int | timing_info_present
int | num_units_in_tick
int | time_scale
int | equal_picture_interval
unsigned | num_ticks_per_picture
int | decoder_model_info_present
int | encoder_decoder_buffer_delay_length
int | num_units_in_decoding_tick
int | buffer_removal_delay_length
int | frame_presentation_delay_length
int | display_model_info_present
int | width_n_bits
int | height_n_bits
int | frame_id_numbers_present
int | delta_frame_id_n_bits
int | frame_id_n_bits
int | sb128
int | filter_intra
int | intra_edge_filter
int | inter_intra
int | masked_compound
int | warped_motion
int | dual_filter
int | order_hint
int | jnt_comp
int | ref_frame_mvs
enum Dav1dAdaptiveBoolean | screen_content_tools
enum Dav1dAdaptiveBoolean | force_integer_mv
int | order_hint_n_bits
int | super_res
int | cdef
int | restoration
int | ss_hor
int | ss_ver
int | monochrome
int | color_description_present
int | separate_uv_delta_q
int | film_grain_present
struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingParameterInfo | operating_parameter_info [DAV1D_MAX_OPERATING_POINTS]

## Field Documentation

## ◆ buffer_removal_delay_length

int Dav1dSequenceHeader::buffer_removal_delay_length

## ◆ cdef

int Dav1dSequenceHeader::cdef

## ◆ chr

enum Dav1dChromaSamplePosition Dav1dSequenceHeader::chr

chroma sample position (av1)

## ◆ color_description_present

int Dav1dSequenceHeader::color_description_present

## ◆ color_range

int Dav1dSequenceHeader::color_range

Pixel data uses JPEG pixel range ([0,255] for 8bits) instead of MPEG pixel range ([16,235] for 8bits luma, [16,240] for 8bits chroma).

## ◆ decoder_model_info_present

int Dav1dSequenceHeader::decoder_model_info_present

## ◆ delta_frame_id_n_bits

int Dav1dSequenceHeader::delta_frame_id_n_bits

## ◆ display_model_info_present

int Dav1dSequenceHeader::display_model_info_present

## ◆ dual_filter

int Dav1dSequenceHeader::dual_filter

## ◆ encoder_decoder_buffer_delay_length

int Dav1dSequenceHeader::encoder_decoder_buffer_delay_length

## ◆ equal_picture_interval

int Dav1dSequenceHeader::equal_picture_interval

## ◆ film_grain_present

int Dav1dSequenceHeader::film_grain_present

## ◆ filter_intra

int Dav1dSequenceHeader::filter_intra

## ◆ force_integer_mv

enum Dav1dAdaptiveBoolean Dav1dSequenceHeader::force_integer_mv

## ◆ frame_id_n_bits

int Dav1dSequenceHeader::frame_id_n_bits

## ◆ frame_id_numbers_present

int Dav1dSequenceHeader::frame_id_numbers_present

## ◆ frame_presentation_delay_length

int Dav1dSequenceHeader::frame_presentation_delay_length

## ◆ hbd

int Dav1dSequenceHeader::hbd

0, 1 and 2 mean 8, 10 or 12 bits/component, respectively. This is not exactly the same as 'hbd' from the spec; the spec's hbd distinguishes between 8 (0) and 10-12 (1) bits/component, and another element (twelve_bit) to distinguish between 10 and 12 bits/component. To get the spec's hbd, use !!our_hbd, and to get twelve_bit, use hbd == 2.

## ◆ height_n_bits

int Dav1dSequenceHeader::height_n_bits

## ◆ inter_intra

int Dav1dSequenceHeader::inter_intra

## ◆ intra_edge_filter

int Dav1dSequenceHeader::intra_edge_filter

## ◆ jnt_comp

int Dav1dSequenceHeader::jnt_comp

## ◆ layout

enum Dav1dPixelLayout Dav1dSequenceHeader::layout

format of the picture

## ◆ masked_compound

int Dav1dSequenceHeader::masked_compound

## ◆ max_height

int Dav1dSequenceHeader::max_height

## ◆ max_width

int Dav1dSequenceHeader::max_width

Maximum dimensions for this stream. In non-scalable streams, these are often the actual dimensions of the stream, although that is not a normative requirement.

## ◆ monochrome

int Dav1dSequenceHeader::monochrome

## ◆ mtrx

enum Dav1dMatrixCoefficients Dav1dSequenceHeader::mtrx

matrix coefficients (av1)

## ◆ num_operating_points

int Dav1dSequenceHeader::num_operating_points

## ◆ num_ticks_per_picture

unsigned Dav1dSequenceHeader::num_ticks_per_picture

## ◆ num_units_in_decoding_tick

int Dav1dSequenceHeader::num_units_in_decoding_tick

## ◆ num_units_in_tick

int Dav1dSequenceHeader::num_units_in_tick

## ◆ operating_parameter_info

struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingParameterInfo Dav1dSequenceHeader::operating_parameter_info[DAV1D_MAX_OPERATING_POINTS]

## ◆ operating_points

struct Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingPoint Dav1dSequenceHeader::operating_points[DAV1D_MAX_OPERATING_POINTS]

## ◆ order_hint

int Dav1dSequenceHeader::order_hint

## ◆ order_hint_n_bits

int Dav1dSequenceHeader::order_hint_n_bits

## ◆ pri

enum Dav1dColorPrimaries Dav1dSequenceHeader::pri

color primaries (av1)

## ◆ profile

int Dav1dSequenceHeader::profile

Stream profile, 0 for 8-10 bits/component 4:2:0 or monochrome; 1 for 8-10 bits/component 4:4:4; 2 for 4:2:2 at any bits/component, or 12 bits/component at any chroma subsampling.

## ◆ reduced_still_picture_header

int Dav1dSequenceHeader::reduced_still_picture_header

## ◆ ref_frame_mvs

int Dav1dSequenceHeader::ref_frame_mvs

## ◆ restoration

int Dav1dSequenceHeader::restoration

## ◆ sb128

int Dav1dSequenceHeader::sb128

## ◆ screen_content_tools

enum Dav1dAdaptiveBoolean Dav1dSequenceHeader::screen_content_tools

## ◆ separate_uv_delta_q

int Dav1dSequenceHeader::separate_uv_delta_q

## ◆ ss_hor

int Dav1dSequenceHeader::ss_hor

## ◆ ss_ver

int Dav1dSequenceHeader::ss_ver

## ◆ still_picture

int Dav1dSequenceHeader::still_picture

## ◆ super_res

int Dav1dSequenceHeader::super_res

## ◆ time_scale

int Dav1dSequenceHeader::time_scale

## ◆ timing_info_present

int Dav1dSequenceHeader::timing_info_present

## ◆ trc

enum Dav1dTransferCharacteristics Dav1dSequenceHeader::trc

transfer characteristics (av1)

## ◆ warped_motion

int Dav1dSequenceHeader::warped_motion

## ◆ width_n_bits

int Dav1dSequenceHeader::width_n_bits

The documentation for this struct was generated from the following file:

- dav1d/headers.h